# Type alias PatchDocumentOptions<T>

PatchDocumentOptions<T>: {
data: InputDataType;
keepOriginalStyles?: boolean;
outputType: T;
patches: {
[key: string]: IPatch;
};
}

#### Type Parameters

- T extends PatchDocumentOutputType = PatchDocumentOutputType

#### Type declaration

- ##### `Readonly` data: InputDataType

- ##### `Optional` `Readonly` keepOriginalStyles?: boolean

- ##### `Readonly` outputType: T

- ##### `Readonly` patches: {
  [key: string]: IPatch;
  }

  - ##### [key: string]: IPatch

- Defined in patcher/from-docx.ts:65

Generated using TypeDoc